/*

DESC: Check all checkboxes. If they are correct or wrong then mark them.
DESC_PL: Sprawdzenie odpowiedzi w checkboxach i zaznaczenie kolorem prawidlowej badz blednej odpowiedzi
DESC_DE: Kontrolliere alle Checkboxen. Markiere korrekte bzw. falsche Antworten.

*/

for (var i=0; i < page.children.length; i++) {
	var child = page.children[i];
	if (child.type == "componentCheckBox" && !child.checkAnswer()) { //is checked
		if (child.correctAnswer) { //is correct
			child.setAnswer(1);
			if (child.execution) {
				//wbte ver >= 6.0
				child.obj.style.backgroundColor = 'red';
			} else {
				//wbte ver < 6.0
				child.bgColor = 'red';
				child.paint();
			}
		} else { //if not - uncheck
			child.setAnswer(0);
		}
	}
}
